Preview updating a plugin
curl --request POST \
--url https://api.runaether.dev/v1/plugins/{pluginID}/update-preview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.runaether.dev/v1/plugins/{pluginID}/update-preview"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.runaether.dev/v1/plugins/{pluginID}/update-preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"update": {
"added": [
{
"auth": "none",
"key": "<string>",
"kind": "remote",
"url": "<string>"
}
],
"changed_remote": [
{
"drops_connections": true,
"from": {
"auth": "none",
"headers": {},
"url": "<string>"
},
"key": "<string>",
"to": {
"auth": "none",
"headers": {},
"url": "<string>"
}
}
],
"changed_stdio": [
{
"from": {
"args": [
"<string>"
],
"command": "<string>",
"env": {}
},
"key": "<string>",
"to": {
"args": [
"<string>"
],
"command": "<string>",
"env": {}
}
}
],
"commit": "<string>",
"needs_credential": true,
"removed": [
"<string>"
],
"revision": "<string>",
"support": {
"claude_code": [
"skills"
],
"codex": [
"skills"
]
},
"to_commit": "<string>",
"to_revision": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}{
"error": "<string>",
"code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
]
}Plugins
Preview updating a plugin
Resolves the plugin’s source again and reports the revision and commit it would move to and the MCP servers that update would add, remove or change. Writes nothing.
POST
/
plugins
/
{pluginID}
/
update-preview
Preview updating a plugin
